Cubase 4.5.2 on Mac Intel or PPC?

Hi All Should this version work correctly running on a Intel Mac 2.66 and 10.5.8 or only on PPC?

Hi,
You can find it, if the installer is dual (universal binary).

As far as I remember, Cubase 4.5 was already compatible with both PPC and Intel.